package com.totopia.server.modules.game.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import com.totopia.server.modules.game.type.SportsName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "sports")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SportsEntity extends DateAuditEntity {
    @Id
    @GeneratedValue(generator = "sports_generator")
    @SequenceGenerator(name = "sports_generator", sequenceName = "sports_sequence", initialValue = 1)
    private Short id;

    @Enumerated(EnumType.STRING)
    @Column(name = "name", length = 60)
    private SportsName name;
}
