package com.totopia.server.modules.info.entity;

import com.totopia.server.commons.data.entity.UserDateAuditEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;

@Entity
@Table(name = "popup_config")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PopupConfig extends UserDateAuditEntity {

  @Id
  @GeneratedValue(generator = "bet_history_generator")
  @SequenceGenerator(name = "bet_history_generator", sequenceName = "bet_history_sequence", initialValue = 1)
  private Long id;

  @Column(name = "thumbnail", nullable = true, length = 200)
  private String thumbnail;

  @Column(name = "title", nullable = true, length = 200)
  private String title;

  @Basic
  @Column(name = "img_width", nullable = false)
  private Short imgWidth;

  @Basic
  @Column(name = "img_height", nullable = false)
  private Short imgHeight;

  @Basic
  @Column(name = "img_x", nullable = false)
  private Short imgX;

  @Basic
  @Column(name = "img_y", nullable = false)
  private Short imgY;

  @Basic
  @Column(name = "open_status", nullable = false)
  private Boolean openStatus = false;


}
