package com.totopia.server.modules.user.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import com.totopia.server.modules.user.type.BankingName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.io.Serializable;

@Entity(name = "deposit")
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@ToString
@Data
@Builder
public class DepositEntity extends DateAuditEntity implements Serializable {

    @Id
    @GeneratedValue(generator = "deposit_generator")
    @SequenceGenerator(name = "deposit_generator", sequenceName = "deposit_sequence", initialValue = 1)
    private Long id;

    @Basic
    @Column(name = "price", nullable = false)
    private Integer price;

    @Basic
    @Column(name = "approve_user_id", nullable = false)
    private Long approveUser;

    @Basic
    @Column(name = "bank_id", nullable = false)
    private Long bank;

    @Basic
    @Column(name = "deposit_account", nullable = false)
    private String depositAccount;

    @Basic
    @Enumerated(EnumType.STRING)
    @Column(name = "status", length = 60)
    private BankingName status;

}
