package com.totopia.server.modules.user.entity;

import com.totopia.server.commons.data.entity.DateAuditEntity;
import com.totopia.server.modules.user.type.BankingName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import javax.persistence.*;
import java.io.Serializable;

@Entity(name = "withdrawal")
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
@ToString
@Data
@Builder
public class WithdrawEntity extends DateAuditEntity implements Serializable {
    @Id
    @GeneratedValue(generator = "withdraw_generator")
    @SequenceGenerator(name = "withdraw_generator", sequenceName = "withdraw_sequence", initialValue = 1)
    private Long id;

    @Basic
    @Column(name = "price", nullable = false)
    private Integer price;

    @Basic
    @Column(name = "approve_user_id", nullable = false)
    private Long approveUser;

    @Basic
    @Column(name = "bank_id", nullable = false)
    private Long bank;

    @Basic
    @Enumerated(EnumType.STRING)
    @Column(name = "status", length = 60)
    private BankingName status;
}
