package com.totopia.server.modules.user.repository;

import com.totopia.server.modules.user.entity.BankEntity;
import com.totopia.server.modules.user.entity.UserEntity;
import com.totopia.server.modules.user.entity.WithdrawEntity;
import com.totopia.server.modules.user.type.BankingName;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
public class WithdrawRepositoryTest {

    @Autowired
    private UserRepository userRepository;
    @Autowired
    private BankRepository bankRepository;
    @Autowired
    private WithdrawRepository withdrawRepository;

    List<UserEntity> users;
    List<BankEntity> accounts;

    @Before
    public void setUp() throws Exception {
        users = this.userRepository.findAll();
        accounts = this.bankRepository.findAll();
    }

    @Test
    public void insertTest() throws Exception {
        WithdrawEntity en = WithdrawEntity.builder()
                .price(10000)

                .approveUser(accounts.get(0).getId())
                .bank(accounts.get(2).getId())
                .status(BankingName.BANKING_WAITING)
                .build();

        this.withdrawRepository.save(en);
    }
}